<?php

   /*
   +---------------------------------------------------------------------------+
   | Revive Adserver                                                           |
   | http://www.revive-adserver.com                                            |
   |                                                                           |
   | Copyright: See the COPYRIGHT.txt file.                                    |
   | License: GPLv2 or later, see the LICENSE.txt file.                        |
   +---------------------------------------------------------------------------+
   */
   
   // Require the initialisation file
   require_once '../../init.php';
   
   // Required files
   require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
   require_once MAX_PATH . '/lib/OA/Dal.php';
   require_once MAX_PATH . '/www/admin/config.php';
   require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
   require_once MAX_PATH . '/lib/max/other/html.php';
   require_once MAX_PATH . '/lib/max/Plugin.php';
   require_once MAX_PATH . '/lib/max/other/lib-geofencing.inc.php';
   require_once MAX_PATH . '/lib/max/Delivery/cache.php';
   require_once MAX_PATH . '/lib/max/other/capping/lib-capping.inc.php';
   
if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

   
   // Register input variables
   phpAds_registerGlobalUnslashed('geofencing', 'action', 'submit');
   
   // Security check
   OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);
   
   /*-------------------------------------------------------*/
   /* Store preferences									 */
   /*-------------------------------------------------------*/
   $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['clientid'] = $clientid;
   $session['prefs']['inventory_entities'][OA_Permission::getEntityId()]['campaignid'][$clientid] = $campaignid;
   phpAds_SessionDataStore();
   // Initialise some parameters
   $pageName = basename($_SERVER['SCRIPT_NAME']);
   $tabindex = 1;
   $aEntities = array('clientid' => $clientid, 'campaignid' => $campaignid, 'bannerid' => $bannerid);
   
		
	
	
   /*-------------------------------------------------------*/
   /* HTML framework                                        */
   /*-------------------------------------------------------*/
  
   // Display navigation
   $aOtherBanners = Admin_DA::getAds(array('placement_id' => $campaignid), false);
   MAX_displayNavigationBannerGeo($pageName, "", $aOtherBanners, $aEntities);
   if ($GLOBALS['_MAX']['SSL_REQUEST']) 
   {
	   $djprotocol='https://';
   }
   else
   {
	   $djprotocol='http://';
   }
   $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
   $conf = $GLOBALS['_MAX']['CONF'];
   $ban_id=$_GET['bannerid'];
   /**  databse declaration - end **/
   
   /*-------------------------------------------------------*/
   /* Main code                                             */
   /*-------------------------------------------------------*/
   /** submit value into database  - start**/
   $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
 
   $query_m = OA_Dal_Delivery_query("SELECT is_mobile,ext_bannertype FROM {$table_prefix}banners WHERE bannerid = '".$_GET['bannerid']."'");
   $row_m			= OA_Dal_Delivery_fetchAssoc($query_m);
   if($row_m['is_mobile']!=1 && $row_m['ext_bannertype']!='bannerTypeHtml:oxHtml:GeoNotification')
   {
	   echo "<b><i>This features only applicable for Mobile Banners</i></b>";exit;
   }
   
   if(isset($_POST['submit']))
   { 
	$geo_values=$_POST['geo'];
	$is_update = $_POST['is_update'];
	if($is_update)
	   {
		$bannerid = $_GET['bannerid'];
		OA_Dal_Delivery_query("DELETE FROM {$table_prefix}geofence_targeting WHERE bannerid='{$bannerid}'");
	   }  
	   foreach($geo_values as $bname=>$bvalue)
	   {
		$lat=$bvalue['latitude'];
        $long=$bvalue['longitude'];
        $radius=$bvalue['radius'];
        $name=$bvalue['name'];
		$cl_geo_id=$bname;
		$clientid=$_GET['clientid'];
		if($is_update)
		{

		OA_Dal_Delivery_query("INSERT INTO {$table_prefix}geofence_targeting (bannerid,clientid,latitude,longitude,radius,geo_id,identification_name,status) VALUES ('{$ban_id}','{$clientid}','{$lat}','{$long}','{$radius}','{$cl_geo_id}','{$name}','1')");
	    }
	    else
	    {
	
		OA_Dal_Delivery_query("INSERT INTO {$table_prefix}geofence_targeting (bannerid,clientid,latitude,longitude,radius,geo_id,identification_name,status) VALUES ('{$ban_id}','{$clientid}','{$lat}','{$long}','{$radius}','{$cl_geo_id}','{$name}','1')");
	    }


	   }

   }

   /** submit value into database  - end**/
   
   ?>
   <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
   <link rel="stylesheet" href="assets/css/font-awesome.css">
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
   <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
   <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
   <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
   
   <style>
   body{
	   font-size: 11px;
   }
   div.breadcrumb h3 span.label{
	   font-size : 20px;
   }
   
   #thirdLevelHeader div.breadcrumb{
	   margin : 0px;
   }
   
   #settingsform1 .table td{
	   font-size : 13px;
   }
   .expanded .label{
	   color:black;
   }
   
   .container label{
	   font-size: 12px;
	   font-weight: normal;
   }
   .param_details{
	   padding-left: 25px;
   }
   
   .subparam_details{
	   padding-left: 50px;
   }
   .netname{
	   width: 18%;
	   font-weight: normal;
   }
   #submitButton{
	   margin-left: 50px;
   }
   #chsubmitButton{
	   text-align: center;
   }
   .param_details li input{
	   border-radius: 5px;
	   padding: 5px;
	   border: 1px solid #ccc;
	   margin-bottom: 5px;
	   margin-left: 61px;
	   
   }
   .container
   {
	   margin-left: 0px;
   }
   
   </style>
   
   <script>
   var jq = $.noConflict(true);
   
   function getparams(e)
   {
	   var id 	= e.getAttribute('data-id');
	   var clientid = e.getAttribute('data-clientid');
	   var name = e.getAttribute('data-name');
	   
	   if(e.checked == true){
	   
		   jq.ajax({
			   
			   type: "GET",
			   
			   url:"geoajax.php",
   
			   data:"clientid="+clientid+"&id="+id,
			   
			   dataType: 'json',
   
			   success: function(data)
			   {
			   console.log("help",data);
			   jq(".param_details_"+id).parent().parent().remove();
			   var param = '<div class="form-group"><div class="col-sm-offset-3"><ul class="param_details param_details_'+id+'">';
			   jq.each(data, function(key, value) 
				{	
					var par=value.identification_name;	
					value.parareq = '1';
				if(value.parareq == '1')
				{
					param  += '<li><div><label class="identifiername" style="margin-right:20px; width:50px;">Latitude    </label><input type="hidden"   name="geo['+value.id+'][name]" value="">';
					param += '<input type="text"  name="geo['+id+'][latitude]" value="'+value.latitude+'"  required readonly>';
					param  += '<li><div><label class="identifiername" style="margin-right:20px; width:50px;">Longitude</label><input type="hidden"  name="geo['+value.id+'][name]" value="'+value.identification_name+'">';
					param += '<input type="text"  name="geo['+id+'][longitude]" value="'+value.longitude+'"  required readonly>';
					param  += '<li><div><label class="identifiername" style="margin-right:20px; width:50px;">Radius     </label><input type="hidden"  name="geo['+value.id+'][name]" value="'+value.identification_name+'">';
					param += '<input type="text"  name="geo['+id+'][radius]" value="'+value.radius+'"  required readonly>';
				}
			
					
				});
				param +='</div></li></ul></div></div>';		
				jq("#outer_div_"+name).after(param);
			   }
		   });
		   
	   }
	   else
	{
		
		jq(".param_details_"+id).parent().parent().remove();
		
	}
	console.log(".param_details_"+id);
	if(jq(".param_details_"+id).length > 0)
	{
		
	
		if(jq("#submitButton").length > 0){
	
			jq("#submitButton").attr('id','#chsubmitButton');
		}else{
			jq("#chsubmitButton").attr('id','#submitButton');
		}
	}
	   
   }
   function allowDrop(ev) {
	   ev.preventDefault();
	   var x = ev.pageX,y = ev.pageY;
	   var box=document.querySelectorAll("#container .rect>div ")	
	 
	   box.forEach(function(element) {
		   
		   element.style.backgroundColor=""
	   })
	   DADES.insBefore=false
	   var div=document.querySelectorAll("#container .rect")
		for (let element of div) {
		 if (element.offsetLeft >= x - DADES.insideX +  DADES.cantoX &&  element.offsetTop +  element.offsetHeight/2 >= y - DADES.insideY +  DADES.cantoY){
			   if (element != DADES.target.nextSibling){
				   element.firstElementChild.style.backgroundColor="lightblue"
				   DADES.insBefore=element
			   }else{
				   DADES.insBefore="noInsert"
			   }
			   break
		   }
	   }
	   DADES.target.firstElementChild.style.backgroundColor="lightblue"
	
   }
   </script>
   
   <?php
   
   if(!empty($_GET['bannerid']))
   {
   $bannerid=$_GET['bannerid'];
   $campaignid=$_GET['campaignid'];
   $clientid=$_GET['clientid'];
   $exst_geo_ban = OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}geofence_targeting WHERE  bannerid={$bannerid}");
	  

   
   if(!OA_Dal_Delivery_numRows($exst_geo_ban))
   {

	$exst_geo = OA_Dal_Delivery_query("SELECT * FROM {$table_prefix}geofencing WHERE  clientid={$clientid} and status=1");
	while( $geo_details = OA_Dal_Delivery_fetchAssoc($exst_geo))
	{
	
		$fetchAll[]=$geo_details;
	}
if($fetchAll>0)
{
		?>
			<div class="container">
	<p style="font-size: 17px;font-weight: bold;">Geofence settings</p>
	<hr/>
	<form method="POST" class="form-horizontal">	
		<div class="form-group">
			<label class="control-label col-sm-3" style="font-size: 14px;">Geofence details</label>
      </div>
	 
	  <?php 
	     foreach($fetchAll as $geo => $geo_data)
		 {
			$geo_name=$geo_data['identification_name'];
			$geo_id=$geo_data['id'];
			?>
			<div class="form-group" id="outer_div_<?php echo $geo_name;?>">
					<div class="col-sm-offset-2">					
						<label class="control-label col-sm-2 <?=$class_name?>" style="text-align:left;">						
							<input type="checkbox"  id=<?php echo $geo_name;?> class="sel" name="geoname[]" data-id="<?= $geo_id ?>" data-name="<?= $geo_name ?>"data-clientid="<?= $clientid ?>" onclick = "getparams(this);" >					
							<?php echo $geo_name;?>
						
						</label>
					</div>
				</div>
		    <?php

		 }
		?>
		 <div class="form-group">        
			<div class="col-sm-3" style="text-align: right; margin-top:50px">
			  <button type="submit" class="btn btn-default" name="submit">Save changes</button>
			</div>
		</div>	
	<?php
}
else
{
	echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="assets/images/info.gif" class="errormessage">There are currently no geofence available</div>';	
}
   }	
   else
   {
	$queryN = OA_Dal_Delivery_query("SELECT id, latitude,longitude,identification_name,radius FROM {$table_prefix}geofencing  WHERE clientid =  ".$_GET['clientid']);    
	while( $existing_biddingdetail = OA_Dal_Delivery_fetchAssoc($exst_geo_ban))
	{
		


		$bidders[]=$existing_biddingdetail['identification_name'];
	}
	// $existing_biddingdetail = OA_Dal_Delivery_fetchAssoc($exst_geo_ban);
	
	// $bidders = $existing_biddingdetail['identification_name'];	
	$active_bidders = array();
	$active_bidders_key = array();
	$class_name = array();
	$i = 0;
	while( $bidder_details = OA_Dal_Delivery_fetchAssoc($queryN))
	{

		$bidder_details1[]=$bidder_details;
	}
	if($bidder_details1>0)
	{
	$ncount=count($bidder_details1);
	?>
	<div class="container">
	<p style="font-size: 17px;font-weight: bold;">Geofence settings</p>
	<hr/>
	<form method="POST" class="form-horizontal">	
		<div class="form-group">
			<label class="control-label col-sm-3" style="font-size: 14px;">Geofence details</label>
      </div>
	
	<?php
	foreach($bidder_details1 as $bidvalue)
	{
		$geo_id=$bidvalue['id'];
		/**check it was choosed (has params)**/
		if(in_array($bidvalue['identification_name'], $bidders))
		{
			$bidname=$bidvalue['identification_name'];
			$removeParams = ['identification_name',   'id'];
			// Remove specified parameters from the params array
			foreach ($removeParams as $param) {
				unset($bidvalue[$param]);
			}
		
			?>
			<div class="form-group" id="outer_div_<?php echo $bidname;?>">
					<div class="col-sm-offset-2">					
						<label class="control-label col-sm-2 <?=$class_name?>" style="text-align:left;">						
							<input type="checkbox"  id=<?php echo $bidname;?> class="sel" name="geoname[]"  onclick = "getparams(this);" data-id="<?= $geo_id ?>" data-name="<?= $bidname ?>"data-clientid="<?= $clientid ?>" checked>					
						<?php echo $bidname;?>
						
						</label>
						
					</div>
			</div>
	
			<div class="form-group">
					<div class="col-sm-offset-3">
						<ul class="param_details param_details_<?php echo $geo_id;?>">
				<?php
	        /**list param details  - start**/
				foreach($bidvalue as $paramname => $paramvalue)
				{
					?>
				
				<li>
					<div class="<?=$class_name?>_params">
					<table>
				<td>
						<label class="identifiername" style="margin-right:20px; width:50px;"><?php echo $paramname?></label>
			   </td>
				<td>
						<input type="text" style="margin-left:20px;" name="geo[<?php echo $geo_id;?>][<?php echo $paramname;?>]" value="<?php echo $paramvalue?>" readonly>
				</td>
				</table>
						<input type="hidden"  name="geo[<?php echo $geo_id;?>][name]" value="<?php echo $bidname?>" >
				</div>
				</li>
						
				<?php	
					}
				?>
				</ul>
					</div>
				</div>
		<?php
		
	}

else
{
	$bidname=$bidvalue['identification_name'];
	?>
	
			<div class="form-group" id="outer_div_<?php echo $bidname;?>">
					<div class="col-sm-offset-2">					
						<label class="control-label col-sm-2 <?=$class_name?>" style="text-align:left;">						
							<input type="checkbox"  id=<?php echo $bidname;?> class="sel" name="geoname[]" data-id="<?= $geo_id ?>" data-name="<?= $bidname ?>"data-clientid="<?= $clientid ?>" onclick = "getparams(this);" >					
							<?php echo $bidname;?>
						
						</label>
					</div>
				</div>
	<?php
}
	}

		?>
</div>
<div class="form-group">        
	  <div class="col-sm-offset-2 col-sm-6" style="text-align: right;">
		<button type="submit" class="btn btn-default" name="submit">Save changes</button>
		<!-- store zone type -->
		<input type="hidden" name="zone_type" value="<?php echo $aOtherZones[$zoneid]['type'];?>">
		<input type="hidden" name="is_update" value='1'>
	  </div>
	</div>	
	<?php
}
else
{
	echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="assets/images/info.gif" class="errormessage">There are currently no geofence available</div>';	
}
   }

}

   /*-------------------------------------------------------*/
   /* HTML framework                                        */
   /*-------------------------------------------------------*/
   
   phpAds_PageFooter();
   
   ?>
   
   
   
   
   
   
   
   
   
   
